////////////////////////////////////////////////////////////////////////////////
// Filename: transition.cc                                                    //
// Purpose : Implementation of class Transition                               //
//           Abstract baseclass for several types of transitions              //
//           needed for building the AUTOMATON                                //
////////////////////////////////////////////////////////////////////////////////
// Author: Gerald Anleitner                                                   //
// Theme.: 2                                                                  //
// Group.: 5 (Gerald Anleitner, Markus Keidl, Stefan Seltzsam)                //
//                                                                            //
// Date of creation: 14.05.1996        Date of last change: 28.05.1996        //
////////////////////////////////////////////////////////////////////////////////

#ifndef _TRANSITION_CC_
#define _TRANSITION_CC_

#include <transition.hh>

Transition::Transition()
{
  // birthing ...
#ifdef DEBUG
  cout << "Transition::Transition()" << endl;
#endif
  targetstate=0;
}

Transition::~Transition()
{
  // comitting suicide ...
#ifdef DEBUG
  cout << "Transition::~Transition()" << endl;
#endif
}

void Transition::set_targetstate(State* given_state)
{
  // set the targetstate of the transition
#ifdef DEBUG
  cout << "void Transition::set_targetstate(const State& given_state)" << endl;
#endif
  targetstate = given_state;
}

State& Transition::get_targetstate() const
{
  // get the targetstate of the transition
#ifdef DEBUG
  cout << "State& Transition::get_targetstate()" << endl;
#endif
  return *targetstate;
}

#endif // _TRANSITION_CC_
